Package org.apache.ignite.configuration

## Class PersistentStoreConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.PersistentStoreConfiguration

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class PersistentStoreConfiguration
      extends Object
      implements Serializable

  Deprecated.
  Use `DataStorageConfiguration` instead.
  Configures Apache Ignite Persistent store.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CheckpointWriteOrder` | `DFLT_CHECKPOINT_WRITE_ORDER` | Deprecated. Default checkpoint write order.
    `static int` | `DFLT_CHECKPOINTING_FREQ` | Deprecated.
    `static int` | `DFLT_CHECKPOINTING_THREADS` | Deprecated. Default number of checkpointing threads.
    `static int` | `DFLT_LOCK_WAIT_TIME` | Deprecated. Lock default wait time, 10 sec.
    `static boolean` | `DFLT_METRICS_ENABLED` | Deprecated.
    `static int` | `DFLT_RATE_TIME_INTERVAL_MILLIS` | Deprecated. Default length of interval over which rate-based metric is calculated.
    `static int` | `DFLT_SUB_INTERVALS` | Deprecated. Default amount of sub intervals to calculate rate-based metric.
    `static boolean` | `DFLT_WAL_ALWAYS_WRITE_FULL_PAGES` | Deprecated. Default wal always write full pages.
    `static String` | `DFLT_WAL_ARCHIVE_PATH` | Deprecated. Default wal archive directory.
    `static int` | `DFLT_WAL_FLUSH_FREQ` | Deprecated. Default Wal flush frequency.
    `static int` | `DFLT_WAL_FSYNC_DELAY` | Deprecated. Default wal fsync delay.
    `static int` | `DFLT_WAL_HISTORY_SIZE` | Deprecated. Default number of checkpoints to be kept in WAL after checkpoint is finished
    `static WALMode` | `DFLT_WAL_MODE` | Deprecated. Default wal mode.
    `static int` | `DFLT_WAL_RECORD_ITERATOR_BUFFER_SIZE` | Deprecated. Default wal record iterator buffer size.
    `static int` | `DFLT_WAL_SEGMENT_SIZE` | Deprecated. Default WAL file segment size, 64MBytes
    `static int` | `DFLT_WAL_SEGMENTS` | Deprecated.
    `static String` | `DFLT_WAL_STORE_PATH` | Deprecated. Default wal directory.
    `static boolean` | `DFLT_WRITE_THROTTLING_ENABLED` | Deprecated. Default write throttling enabled.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersistentStoreConfiguration()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCheckpointingFrequency()` | Deprecated. Gets checkpointing frequency.
    `long` | `getCheckpointingPageBufferSize()` | Deprecated. Gets amount of memory allocated for a checkpointing temporary buffer.
    `int` | `getCheckpointingThreads()` | Deprecated. Gets a number of threads to use for the checkpointing purposes.
    `CheckpointWriteOrder` | `getCheckpointWriteOrder()` | Deprecated. This property defines order of writing pages to disk storage during checkpoint.
    `org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory` | `getFileIOFactory()` | Deprecated. Factory to provide implementation of FileIO interface which is used for any file read/write operations
    `long` | `getLockWaitTime()` | Deprecated. Time out in milliseonds to wait when acquiring persistence store lock file before failing the local node.
    `String` | `getPersistentStorePath()` | Deprecated.
    `long` | `getRateTimeInterval()` | Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `int` | `getSubIntervals()` | Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `int` | `getTlbSize()` | Deprecated. Instead `getWalBufferSize()` should be used.
    `String` | `getWalArchivePath()` | Deprecated. Gets a path to the WAL archive directory.
    `long` | `getWalAutoArchiveAfterInactivity()` | Deprecated.
    `int` | `getWalBufferSize()` | Deprecated.
    `long` | `getWalFlushFrequency()` | Deprecated. This property define how often WAL will be fsync-ed in `BACKGROUND` mode.
    `long` | `getWalFsyncDelayNanos()` | Deprecated.
    `int` | `getWalHistorySize()` | Deprecated. Gets a total number of checkpoints to keep in the WAL history.
    `WALMode` | `getWalMode()` | Deprecated. Type define behavior wal fsync.
    `int` | `getWalRecordIteratorBufferSize()` | Deprecated. Property define how many bytes iterator read from disk (for one reading), during go ahead wal.
    `int` | `getWalSegments()` | Deprecated. Gets a number of WAL segments to work with.
    `int` | `getWalSegmentSize()` | Deprecated. Gets size of a WAL segment in bytes.
    `String` | `getWalStorePath()` | Deprecated. Gets a path to the directory where WAL is stored.
    `boolean` | `isAlwaysWriteFullPages()` | Deprecated.
    `boolean` | `isMetricsEnabled()` | Deprecated. Gets flag indicating whether persistence metrics collection is enabled.
    `boolean` | `isWriteThrottlingEnabled()` | Deprecated.
    `PersistentStoreConfiguration` | `setAlwaysWriteFullPages​(boolean alwaysWriteFullPages)` | Deprecated.
    `PersistentStoreConfiguration` | `setCheckpointingFrequency​(long checkpointingFreq)` | Deprecated. Sets the checkpointing frequency which is a minimal interval when the dirty pages will be written to the Persistent Store.
    `PersistentStoreConfiguration` | `setCheckpointingPageBufferSize​(long checkpointingPageBufSize)` | Deprecated. Sets amount of memory allocated for the checkpointing temporary buffer.
    `PersistentStoreConfiguration` | `setCheckpointingThreads​(int checkpointingThreads)` | Deprecated. Sets a number of threads to use for the checkpointing purposes.
    `PersistentStoreConfiguration` | `setCheckpointWriteOrder​(CheckpointWriteOrder checkpointWriteOrder)` | Deprecated. This property defines order of writing pages to disk storage during checkpoint.
    `PersistentStoreConfiguration` | `setFileIOFactory​(org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory fileIOFactory)` | Deprecated.
    `PersistentStoreConfiguration` | `setLockWaitTime​(long lockWaitTime)` | Deprecated. Time out in milliseconds to wait when acquiring persistence store lock file before failing the local node.
    `PersistentStoreConfiguration` | `setMetricsEnabled​(boolean metricsEnabled)` | Deprecated. Sets flag indicating whether persistence metrics collection is enabled.
    `PersistentStoreConfiguration` | `setPersistentStorePath​(String persistenceStorePath)` | Deprecated. Sets a path to the root directory where the Persistent Store will persist data and indexes.
    `PersistentStoreConfiguration` | `setRateTimeInterval​(long rateTimeInterval)` | Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `PersistentStoreConfiguration` | `setSubIntervals​(int subIntervals)` | Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `PersistentStoreConfiguration` | `setTlbSize​(int tlbSize)` | Deprecated. Instead `setWalBufferSize(int walBuffSize)` should be used.
    `PersistentStoreConfiguration` | `setWalArchivePath​(String walArchivePath)` | Deprecated. Sets a path for the WAL archive directory.
    `PersistentStoreConfiguration` | `setWalAutoArchiveAfterInactivity​(long walAutoArchiveAfterInactivity)` | Deprecated. Note: setting this value with `WALMode.FSYNC` may generate file size overhead for WAL segments in case grid is used rarely.
    `PersistentStoreConfiguration` | `setWalBufferSize​(int walBuffSize)` | Deprecated.
    `PersistentStoreConfiguration` | `setWalFlushFrequency​(long walFlushFreq)` | Deprecated. This property define how often WAL will be fsync-ed in `BACKGROUND` mode.
    `PersistentStoreConfiguration` | `setWalFsyncDelayNanos​(long walFsyncDelayNanos)` | Deprecated.
    `PersistentStoreConfiguration` | `setWalHistorySize​(int walHistSize)` | Deprecated. Sets a total number of checkpoints to keep in the WAL history.
    `PersistentStoreConfiguration` | `setWalMode​(WALMode walMode)` | Deprecated.
    `PersistentStoreConfiguration` | `setWalRecordIteratorBufferSize​(int walRecordIterBuffSize)` | Deprecated.
    `PersistentStoreConfiguration` | `setWalSegments​(int walSegments)` | Deprecated. Sets a number of WAL segments to work with.
    `PersistentStoreConfiguration` | `setWalSegmentSize​(int walSegmentSize)` | Deprecated. Sets size of a WAL segment.
    `PersistentStoreConfiguration` | `setWalStorePath​(String walStorePath)` | Deprecated. Sets a path to the directory where WAL is stored .
    `PersistentStoreConfiguration` | `setWriteThrottlingEnabled​(boolean writeThrottlingEnabled)` | Deprecated. Sets flag indicating whether write throttling is enabled.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_CHECKPOINTING_FREQ

          public static final int DFLT_CHECKPOINTING_FREQ

      Deprecated.
      See Also:
        Constant Field Values

    - #### DFLT_LOCK_WAIT_TIME

          public static final int DFLT_LOCK_WAIT_TIME

      Deprecated.
      Lock default wait time, 10 sec.
      See Also:
        Constant Field Values

    - #### DFLT_METRICS_ENABLED

          public static final boolean DFLT_METRICS_ENABLED

      Deprecated.
      See Also:
        Constant Field Values

    - #### DFLT_SUB_INTERVALS

          public static final int DFLT_SUB_INTERVALS

      Deprecated.
      Default amount of sub intervals to calculate rate-based metric.
      See Also:
        Constant Field Values

    - #### DFLT_RATE_TIME_INTERVAL_MILLIS

          public static final int DFLT_RATE_TIME_INTERVAL_MILLIS

      Deprecated.
      Default length of interval over which rate-based metric is calculated.
      See Also:
        Constant Field Values

    - #### DFLT_CHECKPOINTING_THREADS

          public static final int DFLT_CHECKPOINTING_THREADS

      Deprecated.
      Default number of checkpointing threads.
      See Also:
        Constant Field Values

    - #### DFLT_CHECKPOINT_WRITE_ORDER

          public static final CheckpointWriteOrder DFLT_CHECKPOINT_WRITE_ORDER

      Deprecated.
      Default checkpoint write order.

    - #### DFLT_WAL_HISTORY_SIZE

          public static final int DFLT_WAL_HISTORY_SIZE

      Deprecated.
      Default number of checkpoints to be kept in WAL after checkpoint is finished
      See Also:
        Constant Field Values

    - #### DFLT_WAL_SEGMENTS

          public static final int DFLT_WAL_SEGMENTS

      Deprecated.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_SEGMENT_SIZE

          public static final int DFLT_WAL_SEGMENT_SIZE

      Deprecated.
      Default WAL file segment size, 64MBytes
      See Also:
        Constant Field Values

    - #### DFLT_WAL_MODE

          public static final WALMode DFLT_WAL_MODE

      Deprecated.
      Default wal mode.

    - #### DFLT_WAL_FLUSH_FREQ

          public static final int DFLT_WAL_FLUSH_FREQ

      Deprecated.
      Default Wal flush frequency.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_FSYNC_DELAY

          public static final int DFLT_WAL_FSYNC_DELAY

      Deprecated.
      Default wal fsync delay.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_RECORD_ITERATOR_BUFFER_SIZE

          public static final int DFLT_WAL_RECORD_ITERATOR_BUFFER_SIZE

      Deprecated.
      Default wal record iterator buffer size.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_ALWAYS_WRITE_FULL_PAGES

          public static final boolean DFLT_WAL_ALWAYS_WRITE_FULL_PAGES

      Deprecated.
      Default wal always write full pages.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_STORE_PATH

          public static final String DFLT_WAL_STORE_PATH

      Deprecated.
      Default wal directory.
      See Also:
        Constant Field Values

    - #### DFLT_WAL_ARCHIVE_PATH

          public static final String DFLT_WAL_ARCHIVE_PATH

      Deprecated.
      Default wal archive directory.
      See Also:
        Constant Field Values

    - #### DFLT_WRITE_THROTTLING_ENABLED

          public static final boolean DFLT_WRITE_THROTTLING_ENABLED

      Deprecated.
      Default write throttling enabled.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PersistentStoreConfiguration

          public PersistentStoreConfiguration()

      Deprecated.

  - ### Method Detail

    - #### getPersistentStorePath

          public String getPersistentStorePath()

      Deprecated.
      Returns:
        Path the root directory where the Persistent Store will persist data and indexes.

    - #### setPersistentStorePath

          public PersistentStoreConfiguration setPersistentStorePath​(String persistenceStorePath)

      Deprecated.
      Sets a path to the root directory where the Persistent Store will persist data and indexes. By default the Persistent Store's files are located under Ignite work directory.
      Parameters:
        `persistenceStorePath` - Persistence store path.
      Returns:
        `this` for chaining.

    - #### getCheckpointingFrequency

          public long getCheckpointingFrequency()

      Deprecated.
      Gets checkpointing frequency.
      Returns:
        checkpointing frequency in milliseconds.

    - #### setCheckpointingFrequency

          public PersistentStoreConfiguration setCheckpointingFrequency​(long checkpointingFreq)

      Deprecated.
      Sets the checkpointing frequency which is a minimal interval when the dirty pages will be written to the Persistent Store. If the rate is high, checkpointing will be triggered more frequently.
      Parameters:
        `checkpointingFreq` - checkpointing frequency in milliseconds.
      Returns:
        `this` for chaining.

    - #### getCheckpointingPageBufferSize

          public long getCheckpointingPageBufferSize()

      Deprecated.
      Gets amount of memory allocated for a checkpointing temporary buffer.
      Returns:
        Checkpointing page buffer size in bytes or `0` for Ignite to choose the buffer size automatically.

    - #### setCheckpointingPageBufferSize

          public PersistentStoreConfiguration setCheckpointingPageBufferSize​(long checkpointingPageBufSize)

      Deprecated.
      Sets amount of memory allocated for the checkpointing temporary buffer. The buffer is used to create temporary copies of pages that are being written to disk and being update in parallel while the checkpointing is in progress.
      Parameters:
        `checkpointingPageBufSize` - Checkpointing page buffer size in bytes or `0` for Ignite to choose the buffer size automatically.
      Returns:
        `this` for chaining.

    - #### getCheckpointingThreads

          public int getCheckpointingThreads()

      Deprecated.
      Gets a number of threads to use for the checkpointing purposes.
      Returns:
        Number of checkpointing threads.

    - #### setCheckpointingThreads

          public PersistentStoreConfiguration setCheckpointingThreads​(int checkpointingThreads)

      Deprecated.
      Sets a number of threads to use for the checkpointing purposes.
      Parameters:
        `checkpointingThreads` - Number of checkpointing threads. Four threads are used by default.
      Returns:
        `this` for chaining.

    - #### getLockWaitTime

          public long getLockWaitTime()

      Deprecated.
      Time out in milliseonds to wait when acquiring persistence store lock file before failing the local node.
      Returns:
        Lock wait time in milliseconds.

    - #### setLockWaitTime

          public PersistentStoreConfiguration setLockWaitTime​(long lockWaitTime)

      Deprecated.
      Time out in milliseconds to wait when acquiring persistence store lock file before failing the local node.
      Parameters:
        `lockWaitTime` - Lock wait time in milliseconds.
      Returns:
        `this` for chaining.

    - #### getWalHistorySize

          public int getWalHistorySize()

      Deprecated.
      Gets a total number of checkpoints to keep in the WAL history.
      Returns:
        Number of checkpoints to keep in WAL after a checkpoint is finished.

    - #### setWalHistorySize

          public PersistentStoreConfiguration setWalHistorySize​(int walHistSize)

      Deprecated.
      Sets a total number of checkpoints to keep in the WAL history.
      Parameters:
        `walHistSize` - Number of checkpoints to keep after a checkpoint is finished.
      Returns:
        `this` for chaining.

    - #### getWalSegments

          public int getWalSegments()

      Deprecated.
      Gets a number of WAL segments to work with.
      Returns:
        Number of work WAL segments.

    - #### setWalSegments

          public PersistentStoreConfiguration setWalSegments​(int walSegments)

      Deprecated.
      Sets a number of WAL segments to work with. For performance reasons, the whole WAL is split into files of fixed length called segments.
      Parameters:
        `walSegments` - Number of WAL segments.
      Returns:
        `this` for chaining.

    - #### getWalSegmentSize

          public int getWalSegmentSize()

      Deprecated.
      Gets size of a WAL segment in bytes.
      Returns:
        WAL segment size.

    - #### setWalSegmentSize

          public PersistentStoreConfiguration setWalSegmentSize​(int walSegmentSize)

      Deprecated.
      Sets size of a WAL segment.
      Parameters:
        `walSegmentSize` - WAL segment size. 64 MB is used by default. Maximum value is 2Gb
      Returns:
        `this` for chaining.

    - #### getWalStorePath

          public String getWalStorePath()

      Deprecated.
      Gets a path to the directory where WAL is stored.
      Returns:
        WAL persistence path, absolute or relative to Ignite work directory.

    - #### setWalStorePath

          public PersistentStoreConfiguration setWalStorePath​(String walStorePath)

      Deprecated.
      Sets a path to the directory where WAL is stored . If this path is relative, it will be resolved relatively to Ignite work directory.
      Parameters:
        `walStorePath` - WAL persistence path, absolute or relative to Ignite work directory.
      Returns:
        `this` for chaining.

    - #### getWalArchivePath

          public String getWalArchivePath()

      Deprecated.
      Gets a path to the WAL archive directory.
      Returns:
        WAL archive directory.

    - #### setWalArchivePath

          public PersistentStoreConfiguration setWalArchivePath​(String walArchivePath)

      Deprecated.
      Sets a path for the WAL archive directory. Every WAL segment will be fully copied to this directory before it can be reused for WAL purposes.
      Parameters:
        `walArchivePath` - WAL archive directory.
      Returns:
        `this` for chaining.

    - #### isMetricsEnabled

          public boolean isMetricsEnabled()

      Deprecated.
      Gets flag indicating whether persistence metrics collection is enabled. Default value is `DFLT_METRICS_ENABLED`.
      Returns:
        Metrics enabled flag.

    - #### setMetricsEnabled

          public PersistentStoreConfiguration setMetricsEnabled​(boolean metricsEnabled)

      Deprecated.
      Sets flag indicating whether persistence metrics collection is enabled.
      Parameters:
        `metricsEnabled` - Metrics enabled flag.
      Returns:
        `this` for chaining.

    - #### isWriteThrottlingEnabled

          public boolean isWriteThrottlingEnabled()

      Deprecated.
      Returns:
        Flag indicating whether write throttling is enabled.

    - #### setWriteThrottlingEnabled

          public PersistentStoreConfiguration setWriteThrottlingEnabled​(boolean writeThrottlingEnabled)

      Deprecated.
      Sets flag indicating whether write throttling is enabled.
      Parameters:
        `writeThrottlingEnabled` - Write throttling enabled flag.
      Returns:
        `this` for chaining.

    - #### getRateTimeInterval

          @Deprecated
          public long getRateTimeInterval()

      Deprecated.
      Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Gets the length of the time interval for rate-based metrics. This interval defines a window over which hits will be tracked. Default value is `DFLT_RATE_TIME_INTERVAL_MILLIS`.
      Returns:
        Time interval in milliseconds.

    - #### setRateTimeInterval

          @Deprecated
          public PersistentStoreConfiguration setRateTimeInterval​(long rateTimeInterval)

      Deprecated.
      Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Sets the length of the time interval for rate-based metrics. This interval defines a window over which hits will be tracked.
      Parameters:
        `rateTimeInterval` - Time interval in milliseconds.
      Returns:
        `this` for chaining.

    - #### getSubIntervals

          @Deprecated
          public int getSubIntervals()

      Deprecated.
      Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Gets the number of sub-intervals to split the `getRateTimeInterval()` into to track the update history. Default value is `DFLT_SUB_INTERVALS`.
      Returns:
        The number of sub-intervals for history tracking.

    - #### setSubIntervals

          @Deprecated
          public PersistentStoreConfiguration setSubIntervals​(int subIntervals)

      Deprecated.
      Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Sets the number of sub-intervals to split the `getRateTimeInterval()` into to track the update history.
      Parameters:
        `subIntervals` - The number of sub-intervals for history tracking.
      Returns:
        `this` for chaining.

    - #### getWalMode

          public WALMode getWalMode()

      Deprecated.
      Type define behavior wal fsync. Different type provide different guarantees for consistency.
      Returns:
        WAL mode.

    - #### setWalMode

          public PersistentStoreConfiguration setWalMode​(WALMode walMode)

      Deprecated.
      Parameters:
        `walMode` - Wal mode.
      Returns:
        `this` for chaining.

    - #### getTlbSize

          @Deprecated
          public int getTlbSize()

      Deprecated.
      Instead `getWalBufferSize()` should be used.
      Property defines size of WAL buffer. Each WAL record will be serialized to this buffer before write in WAL file.
      Returns:
        WAL buffer size.

    - #### setTlbSize

          @Deprecated
          public PersistentStoreConfiguration setTlbSize​(int tlbSize)

      Deprecated.
      Instead `setWalBufferSize(int walBuffSize)` should be used.
      Parameters:
        `tlbSize` - WAL buffer size.
      Returns:
        `this` for chaining.

    - #### getWalBufferSize

          @Deprecated
          public int getWalBufferSize()

      Deprecated.
      Property defines size of WAL buffer. Each WAL record will be serialized to this buffer before write in WAL file.
      Returns:
        WAL buffer size.

    - #### setWalBufferSize

          @Deprecated
          public PersistentStoreConfiguration setWalBufferSize​(int walBuffSize)

      Deprecated.
      Parameters:
        `walBuffSize` - WAL buffer size.
      Returns:
        `this` for chaining.

    - #### getWalFlushFrequency

          public long getWalFlushFrequency()

      Deprecated.
      This property define how often WAL will be fsync-ed in `BACKGROUND` mode. Ignored for all other WAL modes.
      Returns:
        WAL flush frequency, in milliseconds.

    - #### setWalFlushFrequency

          public PersistentStoreConfiguration setWalFlushFrequency​(long walFlushFreq)

      Deprecated.
      This property define how often WAL will be fsync-ed in `BACKGROUND` mode. Ignored for all other WAL modes.
      Parameters:
        `walFlushFreq` - WAL flush frequency, in milliseconds.
      Returns:
        `this` for chaining.

    - #### getWalFsyncDelayNanos

          public long getWalFsyncDelayNanos()

      Deprecated.
      Returns:
        The fsync delay, in nanoseconds.

    - #### setWalFsyncDelayNanos

          public PersistentStoreConfiguration setWalFsyncDelayNanos​(long walFsyncDelayNanos)

      Deprecated.
      Parameters:
        `walFsyncDelayNanos` - Wal fsync delay, in nanoseconds.
      Returns:
        `this` for chaining.

    - #### getWalRecordIteratorBufferSize

          public int getWalRecordIteratorBufferSize()

      Deprecated.
      Property define how many bytes iterator read from disk (for one reading), during go ahead wal.
      Returns:
        Record iterator buffer size.

    - #### setWalRecordIteratorBufferSize

          public PersistentStoreConfiguration setWalRecordIteratorBufferSize​(int walRecordIterBuffSize)

      Deprecated.
      Parameters:
        `walRecordIterBuffSize` - Wal record iterator buffer size.
      Returns:
        `this` for chaining.

    - #### isAlwaysWriteFullPages

          public boolean isAlwaysWriteFullPages()

      Deprecated.
      Returns:
        Whether full page must be always written.

    - #### setAlwaysWriteFullPages

          public PersistentStoreConfiguration setAlwaysWriteFullPages​(boolean alwaysWriteFullPages)

      Deprecated.
      Parameters:
        `alwaysWriteFullPages` - Always write full pages.
      Returns:
        `this` for chaining.

    - #### getFileIOFactory

          public org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory getFileIOFactory()

      Deprecated.
      Factory to provide implementation of FileIO interface which is used for any file read/write operations
      Returns:
        File I/O factory

    - #### setFileIOFactory

          public PersistentStoreConfiguration setFileIOFactory​(org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory fileIOFactory)

      Deprecated.
      Parameters:
        `fileIOFactory` - File I/O factory
      Returns:
        `this` for chaining.

    - #### setWalAutoArchiveAfterInactivity

          public PersistentStoreConfiguration setWalAutoArchiveAfterInactivity​(long walAutoArchiveAfterInactivity)

      Deprecated.
      Note: setting this value with `WALMode.FSYNC` may generate file size overhead for WAL segments in case grid is used rarely.
      Parameters:
        `walAutoArchiveAfterInactivity` - time in millis to run auto archiving segment (even if incomplete) after last record logging.
        Positive value enables incomplete segment archiving after timeout (inactivity).
        Zero or negative value disables auto archiving.
      Returns:
        current configuration instance for chaining

    - #### getWalAutoArchiveAfterInactivity

          public long getWalAutoArchiveAfterInactivity()

      Deprecated.
      Returns:
        time in millis to run auto archiving WAL segment (even if incomplete) after last record log

    - #### getCheckpointWriteOrder

          public CheckpointWriteOrder getCheckpointWriteOrder()

      Deprecated.
      This property defines order of writing pages to disk storage during checkpoint.
      Returns:
        Checkpoint write order.

    - #### setCheckpointWriteOrder

          public PersistentStoreConfiguration setCheckpointWriteOrder​(CheckpointWriteOrder checkpointWriteOrder)

      Deprecated.
      This property defines order of writing pages to disk storage during checkpoint.
      Parameters:
        `checkpointWriteOrder` - Checkpoint write order.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`